%define real_name Net-TFTP

Summary:	Net::TFTP - TFTP Client class
Name:		perl-%{real_name}
Version:	0.17
Release: %mkrel 4
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Net::TFTP is a class implementing a simple Trivial File Transfer Protocol
client in Perl as described in RFC1350. Net::TFTP also supports the
TFTP Option Extension (as described in RFC2347), with the following options

RFC2348 Blocksize Option


%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Net/TFTP.pm
%{_mandir}/*/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.17-4mdv2009.0
+ Revision: 258135
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.17-3mdv2009.0
+ Revision: 246192
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.17-1mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2008.0
+ Revision: 56124
- new version

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.16-4mdv2008.0
+ Revision: 25452
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-3mdv2008.0
+ Revision: 25195
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.16-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdk
- initial Mandriva package

